> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/3.-astalam-alhswl-ala-swr-alaqmar-alsnaayh.md).

# 3. استعلام: الحصول على "صور الأقمار الصناعية"

احصل على "SatelliteImages" بعتبة سحابية محددة لـ "Field".

تلميحات:&#x20;

* اقرأ جميع "Farms" التي يمكن الوصول إليها لـ "User" - إزالة *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. عمل مماثل مع "Fields" و"SatelliteImages" و"VectorAnalysisMap".
* مسموح `geoMapType` فلتر بقيم مقبولة: `الكل`, `الأصل`, `مقتطف`, `خام`, `معالج`, `صغير الصورة`, `تباين`
* مرشحات متعلقة بالتاريخ المسموح بها: `قبل` و `بعد` التي تنتمي إلى [تنسيق AWSDate.](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) من الممكن استخدام فلتر واحد فقط. مزيد من التفاصيل هي [هنا](/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/37.-astalam-alhswl-ala-swr-alaqmar-alsnaayh-dhmn-alftrh-almhddh.md).
* مسموح `provider` فلتر بقيم مقبولة: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* مسموح `العتبة` الفلتر يبرز تغطية السحب: "1" تعني خالية من السحب، "0" - ملبدة تمامًا بالغيوم.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    الاسم
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      الاسم
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        خالية_من_السحب
        خرائط_جغرافية {
          الاسم_القصير
          رابط
          classes
          hexColorCodes
        }
        متوسط_ndvi
        
        إحصاءات {
          المؤشر
          min
          max
          avg
          mdn
          var
          std
        }
        
        موصى_به_لتحليلات_متعددة_السنوات 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      الاسم
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        خالية_من_السحب
        خرائط_جغرافية {
          الاسم_القصير
          رابط
          classes
          hexColorCodes
        }
        متوسط_ndvi
        
        إحصاءات {
          المؤشر
          min
          max
          avg
          mdn
          var
          std
        } 
        
        موصى_به_لتحليلات_متعددة_السنوات
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/3.-astalam-alhswl-ala-swr-alaqmar-alsnaayh.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
